import * as d3 from 'd3';
import { Scale } from './Scale';
import { ColorScaleModel } from './ColorScaleModel';
export declare class ColorScale extends Scale {
    render(): void;
    create_d3_scale(): void;
    create_event_listeners(): void;
    update_extrapolation(): void;
    set_range(): void;
    scale: d3.ScaleLinear<number, number> | d3.ScaleTime<Date, number>;
    model: ColorScaleModel;
}
export declare function isColorScale(scale: Scale): scale is ColorScale;
